﻿@page
@model DeletePersonalDataModel
@{
    ViewData["Title"] = "Usuń konto";
    ViewData["ActivePage"] = ManageNavPages.PersonalData;
}

<h2>@ViewData["Title"]</h2>

<div class="alert alert-warning" role="alert">
    <p>
        <strong>Usunięcie twojego konta spowoduje utratę wszystkich danych oraz aktywnych napraw. Proces nie jest odwracalny.</strong>
    </p>
</div>

<div>
    <form id="delete-user" method="post">
        <div asp-validation-summary="ModelOnly" class="text-danger" role="alert"></div>
        @if (Model.RequirePassword)
        {
            <div class="form-floating mb-3">
                <input asp-for="Input.Password" class="form-control" autocomplete="current-password" aria-required="true" placeholder="Podaj hasło" />
                <label asp-for="Input.Password" class="form-label"></label>
                <span asp-validation-for="Input.Password" class="text-danger"></span>
            </div>
        }
        <button class="w-100 btn btn-lg btn-danger" type="submit">Usuń konto</button>
    </form>
</div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
